这在我的笔记中。对不起,我对图层主题的注释非常短(就是这样),并且没有任何进一步阅读的链接。
- ;; LAYER group codes
- ;;
- ;; Group codes - Description
- ;;
- ;; 100 - Subclass marker (AcDbLayerTableRecord)
- ;;
- ;; 2 - Layer name
- ;;
- ;; 70 - Standard flags (bit-coded values):
- ;; 1 = Layer is frozen; otherwise layer is thawed
- ;; 2 = Layer is frozen by default in new viewports
- ;; 4 = Layer is locked
- ;; 16 = If set, table entry is externally dependent on an xref
- ;; 32 = If both this bit and bit 16 are set, the externally
- ;; dependent xref has been successfully resolved
- ;; 64 = If set, the table entry was referenced by at least
- ;; one entity in the drawing the last time the drawing
- ;; was edited. (This flag is for the benefit of AutoCAD
- ;; commands. It can be ignored by most programs that
- ;; read DXF files and need not be set by programs that
- ;; write DXF files)
- ;;
- ;; 62 - Color number (if negative, layer is off)
- ;;
- ;; 6 - Linetype name
- ;;
- ;; 290 - Plotting flag. If set to 0, do not plot this layer
- ;;
- ;; 370 - Lineweight enum value
- ;;
- ;; 380 - Ploy Style Name
- ;;
- ;; 390 - Hard-pointer ID/handle of PlotStyleName object
-
- (entmake (list
- '(0 . "LAYER")
- '(100 . "AcDbSymbolTableRecord")
- '(100 . "AcDbLayerTableRecord")
- (cons 2 "G-Anno-Note") ; layername
- (cons 70 0) ; stuff
- (cons 62 141); color number
- ;; (cons 290 ; plot
- (cons 6 "Continuous") ;; linetype
- (cons 370 050)
- ;; LAYER LINEWEIGHT
- ;; this should be an integer representing one of the standard lineweight
- ;; values multiplied by 100 (i.e. 2.11mm becomes 211). Use -3 to specify the
- ;; 'Default' lineweight.
-
- ;; (cons 390 "Normal")
-
- (list -3 (list "AcAecLayerStandard" '(1000 . "") (cons 1000 "This is a description")))
- )
- )
|